<?php
/*
 * Plugin Name: BT Tools
 * Version: 2.0.15-bfo
 * Plugin URI: https://bicycletheory.com/
 * Description: Custom tools for a Bicycle Theory client project.
 * Author: Jeremy Burgeson
 * Author URI: https://bicycletheory.com/
 * Requires at least: 4.0
 * Tested up to: 4.9.8
 *
 * Text Domain: bt-tools
 * Domain Path: /lang/
 *
 * @package WordPress
 * @author Jeremy Burgeson
 * @since 2.0.0
 */

if ( ! defined( 'ABSPATH' ) ) exit;

// define constants
if ( !defined( 'BT_FONT_LOADER_DEFAULT_VERSION' ) ) define( 'BT_FONT_LOADER_DEFAULT_VERSION', '1.6.26' );
if ( !defined( 'BT_SOCIAL_LINK_SLOTS' ) ) define( 'BT_SOCIAL_LINK_SLOTS', 12 );
if ( !defined( 'YOUTUBE_API_KEY' ) ) define('YOUTUBE_API_KEY', 'AIzaSyCcDF91F4sWZo5EQYhoLSDW6DubxMJE4sc');


// Load plugin class files
require_once( 'includes/class-bt-tools.php' );
require_once( 'includes/class-bt-tools-settings.php' );

// Load plugin libraries
require_once( 'includes/lib/class-bt-tools-admin-api.php' );
require_once( 'includes/lib/class-bt-tools-post-type.php' );
require_once( 'includes/lib/class-bt-tools-taxonomy.php' );

/**
 * Returns the main instance of BT_Tools to prevent the need to use globals.
 *
 * @since  2.0.0
 * @return object BT_Tools
 */
function BT_Tools () {
	$instance = BT_Tools::instance( __FILE__, '2.0.14' ); // version is also at the top of this file!

	if ( is_null( $instance->settings ) ) {
		$instance->settings = BT_Tools_Settings::instance( $instance );
	}

	return $instance;
}

BT_Tools();
